smalledit(1)

NAME
Smalledit-3.17.2 - Stripped down version of Cooledit - a full-featured text editor for the X Window System.

USAGE
smalledit [options] [[+<line>] [<path>/]<file>] ...

DESCRIPTION

This is a stripped down version of Cooledit which is smaller than the original. See cooledit.1 for full documentation. Only a few of cooledit's commandline options are supported by smalledit.

OPTIONS

-d, -display <display>
    The X server and display you would like to display to.

-f, -fn, -font <font-name>
    The font you would like to use.

-i, --international-characters
    Display international (i.e. non-US) characters. Default: treat characters above 127 as non-printable binary characters.

--word-wrap <length>
    The maximum length of a line. See the next two options.

--type-writer
    The options causes a newline to be inserted when the line you are typing becomes longer than --word-wrap length.

--auto-paragraph
    This is a more advanced form of the option above: it causes the entire paragraph to be reformatted with each edit of a paragraph. See WORD PROCESSOR MODE in cooledit(1).

-spell, --spell-checking
    Enable on the fly spell checking with red wavy lines under misspelled words.

-t, -tab, --tab-spacing <spacing>
    Interpret the tab character as being the length of <spacing> characters. Default is 8.

-h, -H, -?, --help
    Print out commandline options summary.

-V, -v, --version
    Print out version number.

LICENSE
This program is distributed under the terms of the GNU General Public License as published by the Free Software Foundation. See No warranty in the File menu for details on the License and the lack of warranty.

AVAILABILITY
The latest public release of this program can be found at sunsite.unc.edu in the directory /pub/Linux/Incoming, or /pub/Linux/apps/editors/X. The latest development version can be found at lava.obsidian.co.za , in the directory /pub/unix/cooledit , all by anonymous ftp.

SEE ALSO
mc(1), mcedit(1), X(1), scanf(3), cooledit.1.

AUTHORS
Paul Sheer (psheer /AT/ obsidian.co.za)

BUGS
See the file BUGS in the distribution for more information.